Subject: Re: [RFC 3/4] net-next: dsa: Add support for multiple cpu ports.

From: Andrew Lunn <[email-masked]>
Date: Wed, 4 Jan 2017 16:22:19 +0100

> I am actually in the process of cleaning up my patches that add
> platform_data support to net/dsa/dsa2.c this time with an user, and
> hopefully a couple more after that, but that maintains the existing
> struct dsa_chip_data as-is, no new additions are required, and this
> would be purely for non-DT enabled platforms anyway.

Hi Florian

I was hoping we could avoid this complexity. But if there is a real
need, the platform cannot be converted to device tree, we can add it.

	Andrew